{"openapi":"3.1.0","info":{"title":"Cell2Cloud Public API","description":"Build integrations against Cell2Cloud resources, schemas, tasks, and developer-platform services. Authenticate protected operations with a developer API key or OAuth access token using the Bearer scheme.","version":"v1"},"paths":{"/api/v1/audit-log/items":{"get":{"tags":["AuditLog"],"summary":"List Audit Logs","operationId":"AuditLog.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"action.anyOf","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Action.Anyof"}},{"name":"createdAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdat.Gt"}},{"name":"createdAt.gte","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdat.Gte"}},{"name":"createdAt.lt","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdat.Lt"}},{"name":"createdAt.lte","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Createdat.Lte"}},{"name":"sort","in":"query","required":false,"schema":{"enum":["createdAt:asc","createdAt:desc"],"type":"string","default":"createdAt:asc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditLogPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/audit-log/{audit_log_id}":{"get":{"tags":["AuditLog"],"summary":"Get Audit Log","operationId":"AuditLog.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"audit_log_id","in":"path","required":true,"schema":{"type":"string","title":"Audit Log Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditLogResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown/items":{"get":{"tags":["Dropdown"],"summary":"List Dropdowns","operationId":"Dropdown.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown/{dropdown_id}":{"get":{"tags":["Dropdown"],"summary":"Get Dropdown","operationId":"Dropdown.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dropdown_id","in":"path","required":true,"schema":{"type":"string","title":"Dropdown Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown/{dropdown_id}/options/items":{"get":{"tags":["Dropdown"],"summary":"List Dropdown Options","operationId":"Dropdown.options.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dropdown_id","in":"path","required":true,"schema":{"type":"string","title":"Dropdown Id"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownOptionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown-option/items":{"get":{"tags":["DropdownOption"],"summary":"List All Dropdown Options","operationId":"DropdownOption.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownOptionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown-option/{dropdown_option_id}":{"get":{"tags":["DropdownOption"],"summary":"Get Dropdown Option","operationId":"DropdownOption.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dropdown_option_id","in":"path","required":true,"schema":{"type":"string","title":"Dropdown Option Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownOptionResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown-link-field-definition/items":{"get":{"tags":["DropdownLinkFieldDefinition"],"summary":"List Dropdown Link Fields","operationId":"DropdownLinkFieldDefinition.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownLinkFieldDefinitionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dropdown-link-field-definition/{dropdown_link_field_definition_id}":{"get":{"tags":["DropdownLinkFieldDefinition"],"summary":"Get Dropdown Link Field","operationId":"DropdownLinkFieldDefinition.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dropdown_link_field_definition_id","in":"path","required":true,"schema":{"type":"string","title":"Dropdown Link Field Definition Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropdownLinkFieldDefinitionResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/entry-template/items":{"get":{"tags":["EntryTemplate"],"summary":"List Entry Templates","operationId":"EntryTemplate.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryTemplatePaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/entry-template/{entry_template_id}":{"get":{"tags":["EntryTemplate"],"summary":"Get Entry Template","operationId":"EntryTemplate.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"entry_template_id","in":"path","required":true,"schema":{"type":"string","title":"Entry Template Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryTemplateResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/template-collection/items":{"get":{"tags":["TemplateCollection"],"summary":"List Template Collections","operationId":"TemplateCollection.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateCollectionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/template-collection/{template_collection_id}":{"get":{"tags":["TemplateCollection"],"summary":"Get Template Collection","operationId":"TemplateCollection.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"template_collection_id","in":"path","required":true,"schema":{"type":"string","title":"Template Collection Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateCollectionResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/template-collection/{template_collection_id}/items/items":{"get":{"tags":["TemplateCollection"],"summary":"List Template Collection Items","operationId":"TemplateCollection.items.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"template_collection_id","in":"path","required":true,"schema":{"type":"string","title":"Template Collection Id"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryTemplatePaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/registry/items":{"get":{"tags":["Registry"],"summary":"List Registries","operationId":"Registry.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistryPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/registry/{registry_id}":{"get":{"tags":["Registry"],"summary":"Get Registry","operationId":"Registry.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"registry_id","in":"path","required":true,"schema":{"type":"string","title":"Registry Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistryResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/custom-entity/items":{"get":{"tags":["CustomEntity"],"summary":"List Items","operationId":"CustomEntity.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/custom-entity:batch-create":{"post":{"tags":["CustomEntity"],"summary":"Batch Create Items","operationId":"CustomEntity.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/custom-entity:batch-update":{"patch":{"tags":["CustomEntity"],"summary":"Batch Update Items","operationId":"CustomEntity.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/custom-entity":{"post":{"tags":["CustomEntity"],"summary":"Create Item","operationId":"CustomEntity.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomEntityCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/custom-entity/{custom_entity_id}":{"get":{"tags":["CustomEntity"],"summary":"Get Item","operationId":"CustomEntity.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"custom_entity_id","in":"path","required":true,"schema":{"type":"string","title":"Custom Entity Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["CustomEntity"],"summary":"Update Item","operationId":"CustomEntity.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"custom_entity_id","in":"path","required":true,"schema":{"type":"string","title":"Custom Entity Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dna-sequence/items":{"get":{"tags":["DnaSequence"],"summary":"List Items","operationId":"DnaSequence.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dna-sequence:batch-create":{"post":{"tags":["DnaSequence"],"summary":"Batch Create Items","operationId":"DnaSequence.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-sequence:batch-update":{"patch":{"tags":["DnaSequence"],"summary":"Batch Update Items","operationId":"DnaSequence.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-sequence":{"post":{"tags":["DnaSequence"],"summary":"Create Item","operationId":"DnaSequence.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DnaSequenceCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-sequence/{dna_sequence_id}":{"get":{"tags":["DnaSequence"],"summary":"Get Item","operationId":"DnaSequence.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dna_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Dna Sequence Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["DnaSequence"],"summary":"Update Item","operationId":"DnaSequence.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dna_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Dna Sequence Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/aa-sequence/items":{"get":{"tags":["AaSequence"],"summary":"List Items","operationId":"AaSequence.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/aa-sequence:batch-create":{"post":{"tags":["AaSequence"],"summary":"Batch Create Items","operationId":"AaSequence.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/aa-sequence:batch-update":{"patch":{"tags":["AaSequence"],"summary":"Batch Update Items","operationId":"AaSequence.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/aa-sequence":{"post":{"tags":["AaSequence"],"summary":"Create Item","operationId":"AaSequence.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AaSequenceCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/aa-sequence/{aa_sequence_id}":{"get":{"tags":["AaSequence"],"summary":"Get Item","operationId":"AaSequence.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"aa_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Aa Sequence Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["AaSequence"],"summary":"Update Item","operationId":"AaSequence.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"aa_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Aa Sequence Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/rna-sequence/items":{"get":{"tags":["RnaSequence"],"summary":"List Items","operationId":"RnaSequence.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/rna-sequence:batch-create":{"post":{"tags":["RnaSequence"],"summary":"Batch Create Items","operationId":"RnaSequence.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-sequence:batch-update":{"patch":{"tags":["RnaSequence"],"summary":"Batch Update Items","operationId":"RnaSequence.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-sequence":{"post":{"tags":["RnaSequence"],"summary":"Create Item","operationId":"RnaSequence.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-sequence/{rna_sequence_id}":{"get":{"tags":["RnaSequence"],"summary":"Get Item","operationId":"RnaSequence.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"rna_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Rna Sequence Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["RnaSequence"],"summary":"Update Item","operationId":"RnaSequence.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"rna_sequence_id","in":"path","required":true,"schema":{"type":"string","title":"Rna Sequence Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dna-oligo/items":{"get":{"tags":["DnaOligo"],"summary":"List Items","operationId":"DnaOligo.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/dna-oligo:batch-create":{"post":{"tags":["DnaOligo"],"summary":"Batch Create Items","operationId":"DnaOligo.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-oligo:batch-update":{"patch":{"tags":["DnaOligo"],"summary":"Batch Update Items","operationId":"DnaOligo.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-oligo":{"post":{"tags":["DnaOligo"],"summary":"Create Item","operationId":"DnaOligo.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/dna-oligo/{dna_oligo_id}":{"get":{"tags":["DnaOligo"],"summary":"Get Item","operationId":"DnaOligo.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dna_oligo_id","in":"path","required":true,"schema":{"type":"string","title":"Dna Oligo Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["DnaOligo"],"summary":"Update Item","operationId":"DnaOligo.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"dna_oligo_id","in":"path","required":true,"schema":{"type":"string","title":"Dna Oligo Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/rna-oligo/items":{"get":{"tags":["RnaOligo"],"summary":"List Items","operationId":"RnaOligo.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"modifiedAt.gt","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Modifiedat.Gt"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"modifiedAt:desc","title":"Sort"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/rna-oligo:batch-create":{"post":{"tags":["RnaOligo"],"summary":"Batch Create Items","operationId":"RnaOligo.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-oligo:batch-update":{"patch":{"tags":["RnaOligo"],"summary":"Batch Update Items","operationId":"RnaOligo.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-oligo":{"post":{"tags":["RnaOligo"],"summary":"Create Item","operationId":"RnaOligo.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityCreateInput"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/rna-oligo/{rna_oligo_id}":{"get":{"tags":["RnaOligo"],"summary":"Get Item","operationId":"RnaOligo.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"rna_oligo_id","in":"path","required":true,"schema":{"type":"string","title":"Rna Oligo Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["RnaOligo"],"summary":"Update Item","operationId":"RnaOligo.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"rna_oligo_id","in":"path","required":true,"schema":{"type":"string","title":"Rna Oligo Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityUpdateInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/user/items":{"get":{"tags":["User"],"summary":"List Users","operationId":"User.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/user/{user_id}":{"get":{"tags":["User"],"summary":"Get User","operationId":"User.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/file/items":{"get":{"tags":["File"],"summary":"List Files","operationId":"File.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilePaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/file/{file_id}":{"get":{"tags":["File"],"summary":"Get File","operationId":"File.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"file_id","in":"path","required":true,"schema":{"type":"string","title":"File Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/entry/items":{"get":{"tags":["Entry"],"summary":"List Entries","operationId":"Entry.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/entry/{entry_id}":{"get":{"tags":["Entry"],"summary":"Get Entry","operationId":"Entry.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"entry_id","in":"path","required":true,"schema":{"type":"string","title":"Entry Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["Entry"],"summary":"Update Entry","operationId":"Entry.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"entry_id","in":"path","required":true,"schema":{"type":"string","title":"Entry Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEntryInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntryResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/result/items":{"get":{"tags":["Result"],"summary":"List Results","operationId":"Result.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/result":{"post":{"tags":["Result"],"summary":"Create Result","operationId":"Result.Create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateResultInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/result/{result_id}":{"get":{"tags":["Result"],"summary":"Get Result","operationId":"Result.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"result_id","in":"path","required":true,"schema":{"type":"string","title":"Result Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["Result"],"summary":"Update Result","operationId":"Result.Update","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"result_id","in":"path","required":true,"schema":{"type":"string","title":"Result Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateResultInput"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/result:batch-create":{"post":{"tags":["Result"],"summary":"Batch Create Results","operationId":"Result.BatchCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultBatchCreateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/result:batch-update":{"patch":{"tags":["Result"],"summary":"Batch Update Results","operationId":"Result.BatchUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultBatchUpdateInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultBatchResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/container/items":{"get":{"tags":["Container"],"summary":"List Containers","operationId":"Container.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/container/{container_id}":{"get":{"tags":["Container"],"summary":"Get Container","operationId":"Container.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"container_id","in":"path","required":true,"schema":{"type":"string","title":"Container Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/container:transfer":{"post":{"tags":["Container"],"summary":"Transfer Containers","operationId":"Container.Transfer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferOutput"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}},"security":[{"PublicBearerAuth":[]}]}},"/api/v1/well-plate-position/items":{"get":{"tags":["WellPlatePosition"],"summary":"List Well Plate Position Items","operationId":"WellPlatePosition.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WellPlatePositionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/well-plate-position/{well_plate_position_id}":{"get":{"tags":["WellPlatePosition"],"summary":"Get Well Plate Position Item","operationId":"WellPlatePosition.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"well_plate_position_id","in":"path","required":true,"schema":{"type":"string","title":"Well Plate Position Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WellPlatePositionResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/well-plate/items":{"get":{"tags":["WellPlate"],"summary":"List Well Plates","operationId":"WellPlate.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WellPlatePaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/well-plate/{well_plate_id}":{"get":{"tags":["WellPlate"],"summary":"Get Well Plate","operationId":"WellPlate.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"well_plate_id","in":"path","required":true,"schema":{"type":"string","title":"Well Plate Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WellPlateResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/well-plate/{well_plate_id}/positions/items":{"get":{"tags":["WellPlate"],"summary":"List Well Plate Positions","operationId":"WellPlate.positions.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"well_plate_id","in":"path","required":true,"schema":{"type":"string","title":"Well Plate Id"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WellPlatePositionPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/plate/items":{"get":{"tags":["Plate"],"summary":"List Plates","operationId":"Plate.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlatePaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/plate/{plate_id}":{"get":{"tags":["Plate"],"summary":"Get Plate","operationId":"Plate.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"plate_id","in":"path","required":true,"schema":{"type":"string","title":"Plate Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlateResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/plate/{plate_id}/wells/items":{"get":{"tags":["Plate"],"summary":"List Plate Wells","operationId":"Plate.wells.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"plate_id","in":"path","required":true,"schema":{"type":"string","title":"Plate Id"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContainerPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/location/items":{"get":{"tags":["Location"],"summary":"List Locations","operationId":"Location.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/location/{location_id}":{"get":{"tags":["Location"],"summary":"Get Location","operationId":"Location.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"location_id","in":"path","required":true,"schema":{"type":"string","title":"Location Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/custom-entity-schema/items":{"get":{"tags":["CustomEntitySchema"],"summary":"List Schemas","operationId":"CustomEntitySchema.List","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Pagesize"}},{"name":"nextToken","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nexttoken"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySchemaPaginatedList"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}}},"/api/v1/custom-entity-schema/{custom_entity_schema_id}":{"get":{"tags":["CustomEntitySchema"],"summary":"Get Schema","operationId":"CustomEntitySchema.Get","security":[{"PublicBearerAuth":[]}],"parameters":[{"name":"custom_entity_schema_id","in":"path","required":true,"schema":{"type":"string","title":"Custom Entity Schema Id"}},{"name":"returning","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Returning"}},{"name":"omit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Omit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySchemaResponse"}}}},"422":{"description":"Request validation failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}},"401":{"description":"Authentication failed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}},"headers":{"WWW-Authenticate":{"description":"Bearer authentication challenge.","schema":{"type":"string"},"example":"Bearer"}}},"403":{"description":"The credential lacks a required permission.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorEnvelope"}}}}}},"patch":{"tags":["CustomEntitySchema"],"summary":"Update Schema","operationId":"CustomEntitySche
[...]
